Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 320343 - x11-drivers/xf86-video-intel: weird behaviour/crash when closing laptop's lid
Summary: x11-drivers/xf86-video-intel: weird behaviour/crash when closing laptop's lid
Status: VERIFIED NEEDINFO
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Gentoo X packagers
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-05-18 10:26 UTC by PM
Modified: 2010-07-08 10:59 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description PM 2010-05-18 10:26:44 UTC
Some time ago I started having weird problems when closing my laptop's lid for more than 2-3 seconds. I first encountered it while using xorg-server-1.7.7 after downgrading from 1.8.0 (because of other graphics bugs). After closing the lid and opening it a while later (it doesn't happen when I do it very quickly) the screen flashes a few times and goes blank (the backlight is disabled too). After switching to another terminal and returning to X, the screen sometimes goes back again. By then plasma-desktop has crashed and KDE is displaying two dialog boxes saying that I have connected another monitor and asking if I want co configure it. After closing them and manually restarting plasma I can continue work. At the same time the system log is flooded with errors like this:

May 14 23:15:33 laptop2 kernel: [  700.567083] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung 
May 14 23:15:33 laptop2 kernel: [  700.567092] render error detected, EIR: 0x00000000 
May 14 23:15:33 laptop2 kernel: [  700.567114] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 83771 at 83770) 
May 14 23:15:33 laptop2 kernel: [  700.678097] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung 
May 14 23:15:33 laptop2 kernel: [  700.678104] render error detected, EIR: 0x00000000 
May 14 23:15:33 laptop2 kernel: [  700.678123] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 83783 at 83770) 
May 14 23:15:33 laptop2 kernel: [  700.786073] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung 
May 14 23:15:33 laptop2 kernel: [  700.786078] render error detected, EIR: 0x00000000 
May 14 23:15:33 laptop2 kernel: [  700.786102] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 83788 at 83770) 
May 14 23:15:33 laptop2 kernel: [  700.907070] [drm:i915_hangcheck_elapsed] *ERROR* Hangcheck timer elapsed... GPU hung 
May 14 23:15:33 laptop2 kernel: [  700.907082] render error detected, EIR: 0x00000000 
May 14 23:15:33 laptop2 kernel: [  700.907119] [drm:i915_do_wait_request] *ERROR* i915_do_wait_request returns -5 (awaiting 83789 at 83770) 

After upgrading xorg-server to 1.8.1 things changed a bit. Now after opening the lid I can see for a while the desktop without the plasma shell and the mentioned dialog boxes, the screen flashes a few times, and then the server crashes.

Here's the bactrace:

Program terminated with signal 6, Aborted.
#0  0x00007fac888761a5 in *__GI_raise (sig=<value optimized out>) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
#1  0x00007fac888775d0 in *__GI_abort () at abort.c:92
#2  0x00007fac8886f2c1 in *__GI___assert_fail (assertion=0x7fac868652a8 "((&bo_gem->refcount)->atomic) > 0", file=<value optimized out>, line=909, 
    function=0x7fac86865690 "drm_intel_gem_bo_unreference") at assert.c:81
#3  0x00007fac86863575 in drm_intel_gem_bo_unreference (bo=0x5002ab0) at intel_bufmgr_gem.c:909
#4  0x00007fac86a96d49 in drmmode_xf86crtc_resize (scrn=<value optimized out>, width=0, height=<value optimized out>) at drmmode_display.c:1309
#5  0x0000000000513b0c in xf86RandR12ScreenSetSize (pScreen=0xa57620, width=<value optimized out>, height=<value optimized out>, mmWidth=<value optimized out>, mmHeight=<value optimized out>)
    at xf86RandR12.c:709
#6  0x0000000000523d2b in ProcRRSetScreenSize (client=0x406e890) at rrscreen.c:307
#7  0x000000000043ee2c in Dispatch () at dispatch.c:439
#8  0x0000000000424c25 in main (argc=10, argv=0x7d7868, envp=<value optimized out>) at main.c:286

I was testing with kernels zen-sources-2.6.33_p2 and -2.6.33_p1 and gentoo-sources-2.6.33-r2, x11-drivers/xf86-video-intel-2.11.0 and -2.10.0-r1. The graphics chipset is GM45.

Reproducible: Always




Portage 2.2_rc67 (default/linux/amd64/10.0/desktop, gcc-4.4.3, glibc-2.11.1-r0, 2.6.33-gentoo-r2 x86_64)
=================================================================
System uname: Linux-2.6.33-gentoo-r2-x86_64-Pentium-R-_Dual-Core_CPU_T4300_@_2.10GHz-with-gentoo-2.0.1
Timestamp of tree: Tue, 18 May 2010 09:00:22 +0000
app-shells/bash:     4.1_p5
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r2, 3.1.2-r3
dev-util/cmake:      2.8.1-r1
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.1-r1
sys-apps/sandbox:    2.2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.3-r2
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6b
virtual/os-headers:  2.6.33
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -march=native -pipe -g"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/share/X11/xkb /usr/share/config"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/games/angband/edit/ /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -march=native -pipe -g"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--keep-going"
FEATURES="assume-digests distlocks fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unmerge-logs unmerge-orphans userfetch"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="pl_PL.utf8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="pl"                                                                                                                                                                                    
MAKEOPTS="-j2"                                                                                                                                                                                  
PKGDIR="/usr/portage/packages"                                                                                                                                                                  
PORTAGE_CONFIGROOT="/"                                                                                                                                                                          
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"  
PORTAGE_TMPDIR="/var/tmp"                                                                                                                                                                       
PORTDIR="/usr/portage"                                                                                                                                                                          
PORTDIR_OVERLAY="/usr/local/portage/layman/kde-sunset /usr/local/portage/moje"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X Xaw3d a52 aac aalib acl acpi alsa amd64 amr amrnb amrwb async audiofile automount bash-completion berkdb bineditor bluetooth branding bzip2 cairo cdaudio cddb cdio cdparanoia cdr cli consolekit cracklib crypt css cups curl cxx dbus devhelp dirac disk-partition divx djvu dri dts dvd dvdr editor emboss emovix enca encode exchange exif faac faad fam fat ffmpeg fftw firefox firefox3 flac fontconfig fortran gd gdbm geoip gif glitz gmedia gphoto2 gpm gtk hal hddtemp htmlhandbook iconv id3 id3tag imagemagick inotify ipod jack jpeg kde kde4 kdehiddenvisibility kipi kpathsea kqemu ladspa lame laptop lcms libcaca libnotify libsamplerate lm_sensors mad mikmod mjpeg mmap mmx mmxext mng modules mp3 mp3tunes mp4 mpeg mplayer mtp mudflap multilib musicbrainz ncurses nls nptl nptlonly nsplugin ntfs ogg openal opencore-amr opencore-amrnb opencore-amrwb opengl openmp pam pango pch pcre pdf perl plasma png policykit ppds pppd python qt-copy qt3 qt3support qt4 rar readline realmedia reflection roe sasl scanner schroedinger sdl secure-delete sensord session sndfile solver soundtouch sourceview spell spl sse sse2 ssl ssse3 startup-notification svg swat symlink sysfs syslog tcpd theora threads tiff truetype unicode upnp usb vamp vcd vorbis webkit wicd wmf wmp wxwidgets wxwindows x264 xcb xcomposite xine xml xorg xscreensaver xulrunner xv xvid xvmc zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="pl" QEMU_SOFTMMU_TARGETS="x86_64 i386" QEMU_USER_TARGETS="x86_64 i386" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="intel" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, LC_ALL, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Wormo (RETIRED) gentoo-dev 2010-05-23 07:17:14 UTC
Take a look at this thread, it sounds like your problems could be a symptom of this bug in i915 drm module when dealing with lid events
http://www.linuxquestions.org/questions/slackware-14/screen-not-useable-after-laptop-lid-closed-808356/
Comment 2 PM 2010-05-23 11:17:14 UTC
It surely looks just like my problem, but commenting out those two lines and recompiling kernel didn't help anything. It seems like the errors from system log are gone (or I simply hadn't encountered them yet). plasma-desktop still crashes and I still get the two dialog boxes about connecting a new monitor. Sometimes the whole server just hungs up. I also noticed that I don't get any of those problems outside of KDE (I checked it in kdm login prompt and in fluxbox).
Comment 3 Michael Weber (RETIRED) gentoo-dev 2010-06-09 03:30:03 UTC
Does this problem still exists?
Comment 4 PM 2010-06-09 06:52:23 UTC
Yes, also in kernel 2.6.34.
Comment 5 PM 2010-06-17 15:35:24 UTC
I also noticed, that plasma-desktop doesn't exactly crash: it simply quits and returns 0. The whole output from start to "crash":
piotrek@laptop2 ~ $ plasma-desktop --nofork
QDBusObjectPath: invalid path ""
Connecting to deprecated signal QDBusConnectionInterface::serviceOwnerChanged(QString,QString,QString)
QGraphicsLinearLayout::removeAt: invalid index 0
plasma-desktop(2577)/kdecore (KLibrary) kde4Factory: The library "/usr/lib64/kde4/solid_hal_power.so" does not offer a qt_plugin_instance function.
QGraphicsLinearLayout::removeAt: invalid index 0
plasma-desktop(2577)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing  "/usr/share/mime/magic"
plasma-desktop(2577)/kdecore (services) KMimeTypeFactory::parseMagic: Now parsing  "/home/piotrek/.local/share/mime/magic"
plasma-desktop(2577): Failed to lock file "/var/tmp/kdecache-piotrek/kpc/plasma_theme_default.lock" , last result = 1 
plasma-desktop(2577): Failed to lock file "/var/tmp/kdecache-piotrek/kpc/plasma_theme_default.lock" , last result = 1 
plasma-desktop(2577): Failed to lock file "/var/tmp/kdecache-piotrek/kpc/plasma_theme_default.lock" , last result = 1 
plasma-desktop(2577): Failed to lock file "/var/tmp/kdecache-piotrek/kpc/plasma_theme_default.lock" , last result = 1 
Object::disconnect: No such slot QObject::dataUpdated(QString,Plasma::DataEngine::Data)
Object::disconnect:  (sender name:   'Battery0')
Object::disconnect: No such slot QObject::dataUpdated(QString,Plasma::DataEngine::Data)
Object::disconnect:  (sender name:   'AC Adapter')
Object::disconnect: No such slot QObject::dataUpdated(QString,Plasma::DataEngine::Data)
Object::disconnect:  (sender name:   'PowerDevil')
piotrek@laptop2 ~ $ echo $?                                
0
Comment 6 Rémi Cardona gentoo-dev 2010-06-23 11:43:31 UTC
Could you try with a 2.6.35_rc kernel?
Comment 7 PM 2010-07-08 10:52:06 UTC
It looks like some recent update fixed the issue. I suspect KDE 4.4.5. I'm closing the bug now, will reopen if I'll have more problems with this.
Comment 8 PM 2010-07-08 10:59:07 UTC
Yup, it was a KDE bug.
https://bugs.kde.org/show_bug.cgi?id=236869